# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "afrim-translator"
version = "0.1.2"
authors = ["Brady Fomegne <fomegnemeudje@outlook.com>"]
description = "Manage the predication system of the afrim input method."
readme = "README.md"
keywords = [
    "auto-complete",
    "ime",
    "predication",
]
license = "MIT"
repository = "https://github.com/pythonbrad/afrim"

[dependencies.indexmap]
version = "2.1.0"
features = ["serde"]

[dependencies.rhai]
version = "1.16.3"
optional = true

[dependencies.strsim]
version = "0.10.0"
optional = true

[features]
default = [
    "rhai",
    "strsim",
]
rhai = ["dep:rhai"]
rhai-wasm = [
    "rhai",
    "rhai/wasm-bindgen",
    "rhai/internals",
    "rhai/only_i32",
]
strsim = ["dep:strsim"]
